<template lang="pug">
.field.fields
	.field-body
		component(
			v-for='(component, i) in components' :key='i'
			:is='component' )
</template>

<script setup>
import { useSlots, computed } from "vue"

const slots = useSlots()
const components = computed(() => {
	if (!slots.default) return []

	let items = []

	for (let component of slots.default()) {
		if (typeof component.type == "symbol") {
			items.push( ...component.children )
		} else {
			items.push(component)
		}
	}

	return items
})
</script>